## nvidia-graphics-drivers 367.44

=== debian/changelog ===
nvidia-graphics-drivers (367.44-3mx150+3) mx; urgency=medium

  * A better-working version of nvidia-detect.in.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Nov 2016 13:55:41 -0800

nvidia-graphics-drivers (367.44-3mx150+2) mx; urgency=medium

  * debian/detect/nvidia-detect.in: support MX repositories.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Nov 2016 09:25:06 -0800

nvidia-graphics-drivers (367.44-3mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Oct 2016 13:16:13 -0700

nvidia-graphics-drivers (367.44-3) unstable; urgency=medium

  * Let libnvidia-fatbinaryloader depend on libnvidia-ptxjitcompiler.
    (Closes: #839193)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Oct 2016 22:01:17 +0200

nvidia-graphics-drivers (367.44-2) unstable; urgency=medium

  * Merge changes from 364.19-2.
  * Update symbols control files.
  * Update lintian overrides.
  * Restrict watch file to releases from the 367.xx long lived branch.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Sep 2016 15:02:35 +0200

nvidia-graphics-drivers (367.44-1) experimental; urgency=medium

  * New upstream long lived branch release 367.44 (2016-08-23).
    - Fixed a regression that caused applications using indirect GLX
      to crash.
    - Added support for the following GPUs: TITAN X (Pascal),
      GeForce GTX 1060 6GB, GeForce GTX 1060 3GB.
    - Fixed a regression introduced in 367.35 that caused the first
      modeset of the X server to display blank if the features requested
      in the X configuration file enabled the X driver's composition
      pipeline.  This would be triggered, e.g., by MetaMode tokens
      such as ForceCompositionPipeline, ForceFullCompositionPipeline,
      Rotation, Reflection, and Transform.
  * New upstream release 361 series.
    - Fixed a bug that could cause OpenGL applications to leak open file
      descriptors under some circumstances.
    - Fixed a crash in the OpenGL and OpenGL ES drivers in situations where
      some of the NVIDIA device nodes were not accessible.
    - Fixed a crash when querying the CUDA device handle of an EGLDevice in
      a system with multiple GPUs when the NVIDIA UVM device node or kernel
      module was not accessible.

  [ Luca Boccassi ]
  * Update nv-readme.ids
  * Update symbols files
  * drm-gem-object-lookup.patch, radix-tree-empty.patch: Drop, fixed upstream.
  * Upload to experimental.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 23 Aug 2016 21:25:15 +0100

nvidia-graphics-drivers (367.35-1) experimental; urgency=medium

  * New upstream long lived branch release 367.35 (2016-07-15).
    (Closes: #833615)
    - Fixed a regression that could cause console corruption when resuming
      from suspend.
    - Improved buffer write performance of the nvidia-drm DRM KMS driver by
      using write-combined DRM Dumb Buffers where available.
    - Fixed a bug that caused X to crash when applying changes to the RandR
      CscMatrix property while VT-switched away from X.
    - Fixed a bug that caused a crash when exiting nvidia-settings on displays
      with 8 or 15 bit color depths.
  * New upstream long lived branch release 367.27 (2016-06-13).
    (Closes: #827391)
    - Added support for VDPAU Feature Set H to the NVIDIA VDPAU driver.
      GPUs with VDPAU Feature Set H are capable of hardware-accelerated
      decoding of 8192x8192 (8k) H.265/HEVC video streams.
    - Added support for the following GPUs: GeForce GTX 1080, GeForce GTX 1070.
    - Fixed a bug that caused the X server to sometimes skip displaying Vulkan
      frames when the Composite extension is enabled.
  * New upstream beta release 367.18 (2016-05-19).
    - Fixed a bug that would cause OpenGL applications to crash when creating
      a context on one X display connection, then making it current with no
      associated drawable on another X display connection.  This fixes a crash
      when starting some versions of Matlab.
    - Fixed OpenGL presentation to SDI through the GLX_NV_video_out and
      GLX_NV_present_video extensions, which was broken by the introduction
      of the nvidia-modeset kernel module in 358.09.
    - Fixed a bug that caused an incorrect offset to be applied when using
      the full composition pipeline on a display whose image has both a
      rotation and a ViewportOut offset applied.
    - Fixed a bug that could cause crashes in OpenGL applications which use
      glTextureView() with a non-zero minlevel.
    - Fixed a bug that caused hangs when a G-SYNC monitor is unplugged and a
      non-G-SYNC monitor is connected while G-SYNC is active.
    - Fixed a bug that caused "nvidia-modeset: ERROR: GPU:0: Activating G-SYNC
      failed" to be printed to the system log if a G-SYNC monitor is connected
      and stereo is enabled in xorg.conf on a configuration that doesn't support
      it.
    - Added the NV_robustness_video_memory_purge OpenGL extension, which
      allows applications to know when a mode switching or power event
      purged the contents of FBOs and BOs residing in video memory.
    - Fixed a bug that prevented HDMI 2.0 4K monitors from waking up
      from sleep or hot-replug.
  * New upstream release 361 series.
    - Added support for querying clock values on Pascal GPUs.
    - Fixed a bug that could lead to a system crash if there was a peer-to-peer
      mapping still active during CUDA context teardown.

  [ Luca Boccassi ]
  * Update nv-readme.ids
  * Update symbols files

  [ Andreas Beckmann ]
  * drm-mode-fb-cmd2.patch, get-user-pages-drm.patch: Drop, fixed upstream.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Aug 2016 15:14:44 +0200

nvidia-graphics-drivers (364.19-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Merge changes from 361.45.18-3.
  * Upload to unstable.

  [ Luca Boccassi ]
  * Add nvidia-drm-master-dev.patch to fix nvidia-drm kernel module build

