=== debian/control ===
#Source: nvidia-graphics-drivers${nvidia:Legacy}
Source: nvidia-graphics-drivers
Section: non-free/libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <luca.boccassi@gmail.com>,
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers/
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.17),
 xz-utils,
 dkms,
 libwayland-client0,
 libwayland-server0,
 libxext6 [!ppc64el],
 quilt,
 po-debconf,
Standards-Version: 3.9.8
Homepage: http://www.nvidia.com
XS-Autobuild: yes

#Package: ${nvidia}-driver
Package: nvidia-driver
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-driver-libs (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 nvidia-persistenced,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-glx-any,
Breaks:
 nvidia-glx${nvidia:Legacy},
Replaces:
 nvidia-glx${nvidia:Legacy},
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-driver-bin
Package: nvidia-driver-bin
Section: non-free/x11
Architecture: i386 amd64 armhf
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Breaks:
 ${nvidia}-driver (<< 343.22-2~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Replaces:
 ${nvidia}-driver (<< 343.22-2~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Description: NVIDIA driver support binaries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 This package contains supporting binaries for the driver.

#Package: ${nvidia}-driver-libs
Package: nvidia-driver-libs
Architecture: i386 amd64 armhf
Multi-Arch: same
Depends:
 lib${nvidia}-glcore (= ${binary:Version}),
 libgl1-glvnd-${nvidia}-glx (= ${binary:Version}) | libgl1-${nvidia}-glx (= ${binary:Version}),
 libegl-${nvidia}0 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs-i386 [amd64],
 libopengl0-glvnd-nvidia,
 libglx-${nvidia}0 (= ${binary:Version}),
 libgles-${nvidia}1 (= ${binary:Version}),
 libgles-${nvidia}2 (= ${binary:Version}),
 lib${nvidia}-cfg1 (= ${binary:Version}),
 ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386],
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

#Package: ${nvidia}-driver-libs-i386
Package: nvidia-driver-libs-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 ${nvidia}-driver-libs,
 ${misc:Depends}
Conflicts:
 libgl1-${nvidia}-glx-i386,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES 32-bit libraries)${nvidia:LegacyDesc}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL/GLX/EGL/GLES libraries when installing ${nvidia}-driver-libs
 on amd64 with foreign architecture i386 enabled.

#Package: xserver-xorg-video-${nvidia}
Package: xserver-xorg-video-nvidia
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 lib${nvidia}-glcore (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-support (>= 20120630),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 These binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-legacy-check
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 debconf (>= 0.5) | debconf-2.0,
 pciutils,
 nvidia-installer-cleanup,
Depends:
 ${misc:Depends}
Description: check for NVIDIA GPUs requiring a legacy driver
 This package checks whether the system contains NVIDIA GPUs that are no longer
 supported by the main driver line and require a legacy driver.
 .
 If such hardware is present, a (preseedable) debconf question will be asked to
 confirm the installation of the current driver line.

Package: libgldispatch0-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libglvnd-nvidia,
 libgldispatch0,
Replaces:
 libglvnd-nvidia,
 libgldispatch0,
Provides:
 glvnd-nvidia-abi-361.45,
Description: Vendor neutral GL dispatch library -- libGLdispatch
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the (binary) libGLdispatch shared library provided by
 NVIDIA.

Package: libopengl0-glvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libglvnd-nvidia,
 libopengl0-nvidia,
 libopengl0,
Replaces:
 libglvnd-nvidia,
 libopengl0-nvidia,
 libopengl0,
Description: Vendor neutral GL dispatch library -- libOpenGL
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the (binary) GLVND libOpenGL.so.0 stub library provided
 by NVIDIA which dispatches to vendor implementations via GLVND.

Package: libglx0-glvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Conflicts:
 libglx0,
 libglx0-nvidia,
Replaces:
 libglx0,
 libglx0-nvidia,
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: Vendor neutral GL dispatch library -- libGLX
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the (binary) GLVND libGLX.so.0 stub library provided by
 NVIDIA which dispatches to vendor implementations (libGLX_*.so.0) via GLVND.

#Package: libglx-${nvidia}0
Package: libglx-nvidia0
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 libglx0 | libglx0-glvnd-nvidia,
 lib${nvidia}-glcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary GLX library${nvidia:LegacyDesc}
 GLX ("OpenGL Extension to the X Window System") provides an interface between
 OpenGL and the X Window System as well as extensions to OpenGL itself.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary GLX implementation by NVIDIA
 that is accessed via libglvnd.

Package: libgl1-glvnd-nvidia-glx
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 libgl1-${nvidia}-glx,
Replaces:
 libgl1-${nvidia}-glx,
Description: NVIDIA binary OpenGL/GLX GLVND stub library
 These binary libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 This package contains a libGL.so.1 stub that dispatches to vendor
 implementations via GLVND.

#Package: libgl1-${nvidia}-glx
Package: libgl1-nvidia-glx
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 lib${nvidia}-glcore (= ${binary:Version}),
 nvidia-installer-cleanup (>= 20130816) [i386],
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia:kmod:binary},
Suggests:
 ${nvidia:kmod:source},
Provides:
 libgl1-nvidia-glx-any,
Description: NVIDIA binary OpenGL/GLX libraries${nvidia:LegacyDesc}
 These binary libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: lib${nvidia}-glcore
Package: libnvidia-glcore
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-glcore-${nvidia:Version},
Conflicts:
 libnvidia-glcore-${nvidia:Version},
 libgl1-nvidia-glx-${nvidia:Version},
Breaks:
 libgl1-${nvidia}-glx (<< 355.11-5),
Replaces:
 libgl1-${nvidia}-glx (<< 355.11-5),
Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:LegacyDesc}
 These binary libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 This package contains the private core libraries used by the NVIDIA
 implementation of OpenGL and GLX.

Package: libegl1-glvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Breaks:
 libegl1-nvidia (<< 355.11-3),
Replaces:
 libegl1-nvidia (<< 355.11-3),
Description: NVIDIA binary EGL GLVND stub library
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the (binary) GLVND libEGL.so.1 stub library provided by
 NVIDIA which dispatches to vendor implementations (libEGL_*.so.0) via GLVND.

#Package: libegl1-${nvidia}
Package: libegl1-nvidia
Section: non-free/oldlibs
Priority: extra
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libegl-${nvidia}0 (= ${binary:Version}),
 ${misc:Depends}
Description: NVIDIA binary EGL library (transitional)${nvidia:LegacyDesc}
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This is a transitional package to aid switching to the GLVND based
 implementation.

#Package: libegl-${nvidia}0
Package: libegl-nvidia0
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
